name: krowwithus_staff
description: "Krow Staff Application"
publish_to: 'none'
version: 0.0.1-M3+1
resolution: workspace

environment:
  sdk: ^3.10.7
dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  cupertino_icons: ^1.0.8
  flutter_modular: ^6.3.0

  # Architecture Packages
  design_system:
    path: ../../packages/design_system
  core_localization:
    path: ../../packages/core_localization
  
  # Feature Packages
  staff_authentication:
    path: ../../packages/features/staff/authentication
  staff_availability:
    path: ../../packages/features/staff/availability
  staff_clock_in:
    path: ../../packages/features/staff/clock_in

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  rename: ^3.1.0
  flutter_launcher_icons: ^0.14.4

flutter:
  uses-material-design: true
  assets:
    - assets/logo.png
